/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2018-10-10 14:44:45
 * @LastEditors: 无尘
 * @LastEditTime: 2020-08-14 14:55:11
 */
/* 后台返回消息提示 */
import { Message } from 'element-ui';

// 后台返回异常提示
export default {
  errorMsg: function(response) {
    let local = window.location.origin;
    /* if (local.indexOf('localhost') != -1) {
      local = 'http://www.gicdev.com';
    } */
    if (response.errorCode != 1) {
      if (response.errorCode == 4) {
        window.location.href = local + '/haoban-3/#/login';
        return false;
      }
      if (response.errorCode == 10) {
        window.location.href = local + '/haoban-3/#/index';
        return false;
      }
      Message.error({
        duration: 2000,
        message: response.message || '接口异常'
      });
    }
  }
};
